Index: trunk/LMDZ.PLUTO/libf/phypluto/aeropacity.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/aeropacity.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/aeropacity.F90	(revision 3572)
@@ -6,20 +6,12 @@
 
       Subroutine aeropacity(ngrid,nlayer,nq,pplay,pplev,pt, pq, &
-         aerosol,reffrad,nueffrad, QREFvis3d,QREFir3d,tau_col, &
-         cloudfrac,totcloudfrac,clearsky)
+         aerosol,reffrad,nueffrad, QREFvis3d,QREFir3d,tau_col)
 
        use radinc_h, only : L_TAUMAX,naerkind
-       use aerosol_mod, only: iaero_haze, i_haze, iaero_generic, &
-                              noaero
+       use aerosol_mod, only: iaero_haze, i_haze
        USE tracer_h, only: noms,rho_n2,rho_ice,rho_q,mmol
        use comcstfi_mod, only: g, pi, mugaz, avocado
        use geometry_mod, only: latitude
-       use callkeys_mod, only: aerofixn2,kastprof,cloudlvl,	&
-		pres_bottom_tropo,pres_top_tropo,obs_tau_col_tropo,	&
-		pres_bottom_strato,pres_top_strato,obs_tau_col_strato,  &
-                nlayaero, aeronlay_tauref, aeronlay_choice,             &
-                aeronlay_pbot, aeronlay_ptop, aeronlay_sclhght,         &
-                aerogeneric
-        use generic_tracer_index_mod, only: generic_tracer_index
+       use callkeys_mod, only: kastprof
        implicit none
 
@@ -70,8 +62,4 @@
       REAL,INTENT(IN) :: QREFir3d(ngrid,nlayer,naerkind)
       REAL,INTENT(OUT):: tau_col(ngrid) !column integrated visible optical depth
-      ! BENJAMIN MODIFS
-      real,intent(in) :: cloudfrac(ngrid,nlayer) ! cloud fraction
-      real,intent(out) :: totcloudfrac(ngrid) ! total cloud fraction
-      logical,intent(in) :: clearsky
 
       real aerosol0, obs_tau_col_aurora, pm
@@ -96,5 +84,4 @@
       integer igen_ice,igen_gas ! to store the index of generic tracer
       logical dummy_bool ! dummy boolean just in case we need one
-      ! integer i_rgcs_ice(aerogeneric)
       !  for venus clouds
       real      :: p_bot,p_top,h_bot,h_top,mode_dens,h_lay
@@ -112,13 +99,4 @@
           endif
         enddo
-
-        if (noaero) then
-          print*, "No active aerosols found in aeropacity"
-        else
-          print*, "If you would like to use aerosols, make sure any old"
-          print*, "start files are updated in newstart using the option"
-          print*, "q=0"
-          write(*,*) "Active aerosols found in aeropacity:"
-        endif
 
         firstcall=.false.
Index: trunk/LMDZ.PLUTO/libf/phypluto/aerosol_mod.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/aerosol_mod.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/aerosol_mod.F90	(revision 3572)
@@ -10,17 +10,5 @@
       integer, save :: iaero_haze = 0
       integer, save :: i_haze = 0
-      logical, save, protected :: noaero = .false.
-!$OMP THREADPRIVATE(iaero_haze,i_haze,noaero)
-
-! two-layer simple aerosol model
-      integer, save, protected :: iaero_back2lay = 0
-! N-layer aerosol model (replaces the 2-layer and hard-coded clouds)
-      integer,dimension(:), allocatable, save, protected :: iaero_nlay
-!$OMP THREADPRIVATE(iaero_back2lay,iaero_nlay)
-
-! Generic aerosols
-      integer, dimension(:), allocatable, save, protected :: iaero_generic
-      integer, dimension(:), allocatable, save, protected :: i_rgcs_ice
-!$OMP THREADPRIVATE(iaero_generic,i_rgcs_ice)
+!$OMP THREADPRIVATE(iaero_haze,i_haze)
 
 !==================================================================
Index: trunk/LMDZ.PLUTO/libf/phypluto/callcorrk.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/callcorrk.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/callcorrk.F90	(revision 3572)
@@ -13,6 +13,5 @@
           OLR_nu,OSR_nu,GSR_nu,                                &
           int_dtaui,int_dtauv,                                 &
-          tau_col,cloudfrac,totcloudfrac,                      &
-          clearsky,firstcall,lastcall)
+          tau_col,firstcall,lastcall)
 
       use mod_phys_lmdz_para, only : is_master
@@ -30,10 +29,10 @@
       use aeropacity_mod, only: aeropacity
       use aeroptproperties_mod, only: aeroptproperties
-      use tracer_h, only: constants_epsi_generic,igcm_ch4_gas,igcm_n2,mmol
+      use tracer_h, only: igcm_ch4_gas,igcm_n2,mmol
       use comcstfi_mod, only: pi, mugaz, cpp, r, g
-      use callkeys_mod, only: varactive,diurnal,tracer,varfixed,satval, &
+      use callkeys_mod, only: diurnal,tracer,varfixed,satval, &
                               diagdtau,kastprof,strictboundcorrk,specOLR, &
                               tplanckmin,tplanckmax,global1d, &
-                              generic_condensation,aerohaze,haze_radproffix,&
+                              optichaze,haze_radproffix,&
                               methane,carbox,cooling,nlte,strobel,&
                               ch4fix,vmrch4_proffix,vmrch4fix
@@ -43,6 +42,4 @@
       use sfluxv_mod, only: sfluxv
       use recombin_corrk_mod, only: corrk_recombin, call_recombin
-      use generic_cloud_common_h, only: Psat_generic, epsi_generic
-      use generic_tracer_index_mod, only: generic_tracer_index
       use planetwide_mod, only: planetwide_maxval, planetwide_minval
       use radcommon_h, only: wavev,wavei
@@ -88,6 +85,4 @@
       REAL,INTENT(IN) :: dist_star                 ! Distance star-planet (AU).
       REAL,INTENT(IN) :: muvar(ngrid,nlayer+1)
-      REAL,INTENT(IN) :: cloudfrac(ngrid,nlayer)   ! Fraction of clouds (%).
-      logical,intent(in) :: clearsky
       logical,intent(in) :: firstcall              ! Signals first call to physics.
       logical,intent(in) :: lastcall               ! Signals last call to physics.
@@ -108,5 +103,4 @@
       REAL,INTENT(OUT) :: tau_col(ngrid)                 ! Diagnostic from aeropacity.
       REAL,INTENT(OUT) :: albedo_equivalent(ngrid)       ! Spectrally Integrated Albedo. For Diagnostic. By MT2015
-      REAL,INTENT(OUT) :: totcloudfrac(ngrid)            ! Column Fraction of clouds (%).
       REAL,INTENT(OUT) :: int_dtaui(ngrid,nlayer,L_NSPECTI) ! VI optical thickness of layers within narrowbands for diags ().
       REAL,INTENT(OUT) :: int_dtauv(ngrid,nlayer,L_NSPECTV) ! IR optical thickness of layers within narrowbands for diags ().
@@ -200,11 +194,4 @@
       character(len=10),parameter :: subname="callcorrk"
 
-      ! For fixed water vapour profiles.
-      integer i_var
-      real RH
-      real*8 pq_temp(nlayer)
-! real(KIND=r8) :: pq_temp(nlayer) ! better F90 way.. DOESNT PORT TO F77!!!
-      real psat,qsat
-
       logical OLRz
       real*8 NFLUXGNDV_nu(L_NSPECTV)
@@ -235,11 +222,4 @@
 
       integer ok ! status (returned by NetCDF functions)
-
-      integer igcm_generic_gas, igcm_generic_ice! index of the vap and ice of generic_tracer
-      logical call_ice_gas_generic ! to call only one time the ice/vap pair of a tracer
-      real, save :: metallicity ! metallicity of planet --- is not used here, but necessary to call function Psat_generic
-!$OMP THREADPRIVATE(metallicity)
-      REAL, SAVE :: qvap_deep   ! deep mixing ratio of water vapor when simulating bottom less planets
-!$OMP THREADPRIVATE(qvap_deep)
 
       REAL :: maxvalue,minvalue
@@ -453,15 +433,4 @@
          endif
 
-
-         if(varfixed .and. (generic_condensation .or. methane .or. carbox))then
-            write(*,*) "Deep generic tracer vapor mixing ratio ? (no effect if negative) "
-            qvap_deep=-1. ! default value
-            call getin_p("qvap_deep",qvap_deep)
-            write(*,*) " qvap_deep = ",qvap_deep
-
-            metallicity=0.0 ! default value --- is not used here but necessary to call function Psat_generic
-            call getin_p("metallicity",metallicity) ! --- is not used here but necessary to call function Psat_generic
-         endif
-
       end if ! of if (firstcall)
 
@@ -485,5 +454,5 @@
 !     Effective radius and variance of the aerosols
 !--------------------------------------------------
-      if (aerohaze) then
+      if (optichaze) then
          do iaer=1,naerkind
             if ((iaer.eq.iaero_haze)) then
@@ -511,5 +480,5 @@
       end do
 
-      if (aerohaze) then
+      if (optichaze) then
 
          ! Get 3D aerosol optical properties.
@@ -522,5 +491,5 @@
          call aeropacity(ngrid,nlayer,nq,pplay,pplev, pt,pq,aerosol,      &
             reffrad,nueffrad,QREFvis3d,QREFir3d,                             &
-            tau_col,cloudfrac,totcloudfrac,clearsky)
+            tau_col)
       endif
 
@@ -578,5 +547,5 @@
 
       ! AF24: for now only consider one aerosol (=haze)
-      if (aerohaze) then
+      if (optichaze) then
         do iaer=1,naerkind
             ! Shortwave.
@@ -685,10 +654,10 @@
             end do ! L_LEVELS
         end do ! naerkind
-      end if ! aerohaze
+      end if ! optichaze
 
 !-----------------------------------------------------------------------
 !     Aerosol optical depths
 !-----------------------------------------------------------------------
-      if (aerohaze) then
+      if (optichaze) then
         do iaer=1,naerkind     ! a bug was here
             do k=0,nlayer-1
@@ -711,5 +680,5 @@
       else
          tauaero(:,:)=0
-      end if ! aerohaze
+      end if ! optichaze
 
          ! Albedo and Emissivity.
@@ -721,111 +690,22 @@
          acosz=mu0(ig) ! Cosine of sun incident angle : 3D simulations or local 1D simulations using latitude.
 
-
       !-----------------------------------------------------------------------
-      !  GCS (Generic Condensable Specie) Vapor
-      !  If you have GCS tracers and they are : variable & radiatively active
-      !
-      !  NC22
+      !  Methane Vapor
       !-----------------------------------------------------------------------
-
-      if (generic_condensation .or. methane .or. carbox) then
-
-        ! IF (methane) then
-
-        !    do l=1,nlayer
-        !        qvar(2*l)   = vmrch4(ig,nlayer+1-l)/100.*    &
-        !                             mmol(igcm_ch4_gas)/mmol(igcm_n2)
-        !        qvar(2*l+1) = ((vmrch4(ig,nlayer+1-l)+vmrch4(ig, &
-        !                     max(nlayer-l,1)))/2.)/100.* &
-        !                     mmol(igcm_ch4_gas)/mmol(igcm_n2)
-        !    end do
-        !    qvar(1)=qvar(2)
-
-        ! ELSE
-
-         ! For now, only one GCS tracer can be both variable and radiatively active
-         ! If you set two GCS tracers, that are variable and radiatively active,
-         ! the last one in tracer.def will be chosen as the one that will be vadiatively active
-
-         do iq=1,nq
-
-            call generic_tracer_index(nq,iq,igcm_generic_gas,igcm_generic_ice,call_ice_gas_generic)
-
-            if (call_ice_gas_generic) then ! to call only one time the ice/vap pair of a tracer
-
-               if(varactive)then
-
-                  i_var=igcm_generic_gas
-                  do l=1,nlayer
-                     qvar(2*l)   = pq(ig,nlayer+1-l,i_var)
-                     qvar(2*l+1) = pq(ig,nlayer+1-l,i_var)
-                     !JL13index            qvar(2*l+1) = (pq(ig,nlayer+1-l,i_var)+pq(ig,max(nlayer-l,1),i_var))/2
-                     !JL13index            ! Average approximation as for temperature...
-                  end do
-                  qvar(1)=qvar(2)
-
-               elseif(varfixed .and. (qvap_deep .ge. 0))then
-
-                  do l=1,nlayer ! Here we will assign fixed water vapour profiles globally.
-
-                     call Psat_generic(pt(ig,l),pplay(ig,l),metallicity,psat,qsat)
-
-                     if (qsat .lt. qvap_deep) then
-                        pq_temp(l) = qsat      ! fully saturated everywhere
-                     else
-                        pq_temp(l) = qvap_deep
-                     end if
-
-                  end do
-
-                  do l=1,nlayer
-                     qvar(2*l)   = pq_temp(nlayer+1-l)
-                     qvar(2*l+1) = (pq_temp(nlayer+1-l)+pq_temp(max(nlayer-l,1)))/2
-                  end do
-
-                  qvar(1)=qvar(2)
-
-               else
-                  do k=1,L_LEVELS
-                     qvar(k) = 1.0D-7
-                  end do
-               end if ! varactive/varfixed
-
-            endif
-
-         end do ! do iq=1,nq loop on tracers
-
-      end if ! if (generic_condensation)
-
-      !-----------------------------------------------------------------------
-      !  No Water vapor and No GCS (Generic Condensable Specie) vapor
-      !-----------------------------------------------------------------------
-
-      if (.not. (generic_condensation .or. methane .or. carbox)) then
+      if (methane) then
+         do l=1,nlayer
+            qvar(2*l) = vmrch4(ig,nlayer+1-l)/100.*    &
+                        mmol(igcm_ch4_gas)/mmol(igcm_n2)
+            qvar(2*l+1) = ((vmrch4(ig,nlayer+1-l)+vmrch4(ig, &
+                           max(nlayer-l,1)))/2.)/100.* &
+                           mmol(igcm_ch4_gas)/mmol(igcm_n2)
+         end do
+         qvar(1)=qvar(2)
+      
+      else
          do k=1,L_LEVELS
             qvar(k) = 1.0D-7
          end do
-      end if ! if (.not. generic_condensation)
-
-
-      if(.not.kastprof)then
-         ! IMPORTANT: Now convert from kg/kg to mol/mol.
-         do k=1,L_LEVELS
-            if (generic_condensation .or. methane .or. carbox) then
-               do iq=1,nq
-                  call generic_tracer_index(nq,iq,igcm_generic_gas,igcm_generic_ice,call_ice_gas_generic)
-                  if (call_ice_gas_generic) then ! to call only one time the ice/vap pair of a tracer
-                    if(.not. varactive .or. i_var.eq.iq)then
-
-                        epsi_generic=constants_epsi_generic(iq)
-
-                        qvar(k) = qvar(k)/(epsi_generic+qvar(k)*(1.-epsi_generic))
-                    endif
-
-                  endif
-               end do ! do iq=1,nq loop on tracers
-            endif
-         end do
-      end if
+      end if ! end methane
 
 !-----------------------------------------------------------------------
@@ -834,6 +714,6 @@
 
       DO l=1,nlayer
-         muvarrad(2*l)   = muvar(ig,nlayer+2-l)
-             muvarrad(2*l+1) = (muvar(ig,nlayer+2-l)+muvar(ig,max(nlayer+1-l,1)))/2
+         muvarrad(2*l)   = muvar(ig,nlayer+2-l)    
+         muvarrad(2*l+1) = (muvar(ig,nlayer+2-l)+muvar(ig,max(nlayer+1-l,1)))/2
       END DO
 
Index: trunk/LMDZ.PLUTO/libf/phypluto/callcorrk_pluto_mod.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/callcorrk_pluto_mod.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/callcorrk_pluto_mod.F90	(revision 3572)
@@ -10,6 +10,5 @@
           dtlw,dtsw,fluxsurf_lw,    &
           fluxsurf_sw,fluxtop_lw,fluxtop_sw,fluxtop_dn, &
-          reffrad,tau_col,ptime,pday,cloudfrac,totcloudfrac,   &
-          clearsky,firstcall,lastcall)
+          reffrad,tau_col,ptime,pday,firstcall,lastcall)
 
       use radinc_h
@@ -25,5 +24,5 @@
       use tracer_h, only: igcm_n2,igcm_ch4_gas,igcm_ch4_ice,rho_ch4_ice,lw_ch4,&
                           mmol
-      use callkeys_mod, only: aerohaze,ch4fix,cooling,methane,nlte,&
+      use callkeys_mod, only: optichaze,ch4fix,cooling,methane,nlte,&
                               strobel,vmrch4_proffix,specOLR,vmrch4fix,&
                               haze_radproffix
@@ -68,6 +67,4 @@
       REAL zzlay(ngrid,nlayer)            ! altitude at the middle of the layers
       REAL pplev(ngrid,nlayer+1)          ! pres. level at GCM layer boundaries
-      REAL cloudfrac(ngrid,nlayer)   ! Fraction of clouds (%).
-      logical clearsky
 
       REAL pt(ngrid,nlayer)               ! air temperature (K)
@@ -104,5 +101,4 @@
       REAL fluxtop_sw(ngrid)    ! outgoing LW flux to space (W/m2)
       REAL fluxtop_dn(ngrid)    ! incident top of atmosphere SW flux (W/m2)
-      REAL totcloudfrac(ngrid)            ! Column Fraction of clouds (%).
 
 !-----------------------------------------------------------------------
@@ -239,8 +235,8 @@
 
          ! Radiative Hazes
-         if (aerohaze) then
+         if (optichaze) then
 
            ! AF24: TODO check duplicate suaer_corrk called from physiq_mod
-          !  print*,'aerohaze: starting suaer_corrk'
+          !  print*,'optichaze: starting suaer_corrk'
           !  call suaer_corrk       ! set up aerosol optical properties
           !  print*,'ending suaer_corrk'
@@ -297,8 +293,8 @@
 !     Get 3D aerosol optical properties.
       ! ici on selectionne les proprietes opt correspondant a reffrad
-      if (aerohaze) then
+      if (optichaze) then
         !--------------------------------------------------
         ! Effective radius and variance of the aerosols if profil non
-        ! uniform. Called only if aerohaze=true.
+        ! uniform. Called only if optichaze=true.
         !--------------------------------------------------
 
@@ -311,5 +307,5 @@
         call aeropacity(ngrid,nlayer,nq,pplay,pplev, pt,pq,aerosol,      &
             reffrad,nueffrad,QREFvis3d,QREFir3d,                             &
-            tau_col,cloudfrac,totcloudfrac,clearsky)
+            tau_col)
       endif
 
@@ -360,5 +356,5 @@
 !     Aerosol optical properties Qext, Qscat and g on each band
 !     The transformation in the vertical is the same as for temperature
-         if (aerohaze) then
+         if (optichaze) then
 !     shortwave
             do iaer=1,naerkind
@@ -464,9 +460,9 @@
             end do ! naerkind
 
-         endif ! aerohaze
+         endif ! optichaze
 
 !-----------------------------------------------------------------------
 !     Aerosol optical depths
-         IF (aerohaze) THEN
+         IF (optichaze) THEN
           do iaer=1,naerkind     ! heritage generic
             do k=0,nlayer-1
Index: trunk/LMDZ.PLUTO/libf/phypluto/callkeys_mod.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/callkeys_mod.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/callkeys_mod.F90	(revision 3572)
@@ -37,15 +37,6 @@
       logical,save :: varfixed
       logical,save :: sedimentation
-      logical,save :: generic_condensation
-!$OMP THREADPRIVATE(varactive,varfixed,sedimentation,generic_condensation)
-      logical,save :: aeron2, aeroh2o, aeroh2so4, aeroback2lay
-!$OMP THREADPRIVATE(aeron2, aeroh2o, aeroh2so4, aeroback2lay)
-      logical,save :: aeronh3, aeronlay, aeroaurora
-!$OMP THREADPRIVATE(aeronh3,aeronlay,aeroaurora)
-
-      logical,save :: aerofixn2
-!$OMP THREADPRIVATE(aerofixn2)
-      integer,save :: aerogeneric ! number of aerosols of "generic" kind
-!$OMP THREADPRIVATE(aerogeneric)
+!$OMP THREADPRIVATE(varactive,varfixed,sedimentation)
+
       logical,save :: nosurf
 !$OMP THREADPRIVATE(nosurf)
@@ -62,6 +53,6 @@
       logical,save :: haze,haze_proffix,haze_radproffix
 !$OMP THREADPRIVATE(haze,haze_proffix,haze_radproffix)
-      logical,save :: fasthaze,changeti,changetid,aerohaze,fractal
-!$OMP THREADPRIVATE(fasthaze,changeti,changetid,aerohaze,fractal)
+      logical,save :: fasthaze,changeti,changetid,optichaze,fractal
+!$OMP THREADPRIVATE(fasthaze,changeti,changetid,optichaze,fractal)
       logical,save :: fast,metcloud,monoxcloud,glaflow,triton,paleo
 !$OMP THREADPRIVATE(fast,metcloud,monoxcloud,glaflow,triton,paleo)
@@ -224,14 +215,5 @@
       integer,save :: versH2H2cia
       character(64),save :: H2orthopara_mixture
-      integer,save :: nlayaero
-!$OMP THREADPRIVATE(iddist,iaervar,iradia,startype,versH2H2cia,H2orthopara_mixture,nlayaero)
-      integer,dimension(:),allocatable,save :: aeronlay_choice
-!$OMP THREADPRIVATE(aeronlay_choice)
-
-      character(64),save :: optprop_back2lay_vis
-      character(64),save :: optprop_back2lay_ir
-      character(64),dimension(:),allocatable,save :: optprop_aeronlay_vis
-      character(64),dimension(:),allocatable,save :: optprop_aeronlay_ir
-!$OMP THREADPRIVATE(optprop_back2lay_vis,optprop_back2lay_ir,optprop_aeronlay_vis,optprop_aeronlay_ir)
+!$OMP THREADPRIVATE(iddist,iaervar,iradia,startype,versH2H2cia,H2orthopara_mixture)
 
       real,save :: tplanckmin
@@ -246,29 +228,8 @@
       real,save :: Tstrat
       real,save :: tplanet
-      real,save :: obs_tau_col_tropo
-      real,save :: obs_tau_col_strato
-!$OMP THREADPRIVATE(Tstrat,tplanet,obs_tau_col_tropo,obs_tau_col_strato)
-      real,save :: pres_bottom_tropo
-      real,save :: pres_top_tropo
-      real,save :: pres_bottom_strato
-      real,save :: pres_top_strato
-!$OMP THREADPRIVATE(pres_bottom_tropo,pres_top_tropo,pres_bottom_strato,pres_top_strato)
-      real,save :: size_tropo
-      real,save :: size_strato
+!$OMP THREADPRIVATE(Tstrat,tplanet)
       real,save :: satval
       real,save :: n2mixratio
-!$OMP THREADPRIVATE(size_tropo,size_strato,satval,n2mixratio)
-      real,save :: size_nh3_cloud
-      real,save :: pres_nh3_cloud
-      real,save :: tau_nh3_cloud
-!$OMP THREADPRIVATE(size_nh3_cloud, pres_nh3_cloud, tau_nh3_cloud)
-      real,dimension(:),allocatable,save :: aeronlay_tauref
-      real,dimension(:),allocatable,save :: aeronlay_lamref
-      real,dimension(:),allocatable,save :: aeronlay_ptop
-      real,dimension(:),allocatable,save :: aeronlay_pbot
-      real,dimension(:),allocatable,save :: aeronlay_sclhght
-      real,dimension(:),allocatable,save :: aeronlay_size
-      real,dimension(:),allocatable,save :: aeronlay_nueff
-!$OMP THREADPRIVATE(aeronlay_tauref,aeronlay_lamref,aeronlay_ptop,aeronlay_pbot,aeronlay_sclhght,aeronlay_size,aeronlay_nueff)
+!$OMP THREADPRIVATE(satval,n2mixratio)
       real,save :: n2supsat
       real,save :: pceil
@@ -279,8 +240,7 @@
       real,save :: Tsaldiff
       real,save :: tau_relax
-      real,save :: cloudlvl
       real,save :: icetstep
       real,save :: intheat
-!$OMP THREADPRIVATE(Tsaldiff,tau_relax,cloudlvl,icetstep,intheat)
+!$OMP THREADPRIVATE(Tsaldiff,tau_relax,icetstep,intheat)
       real,save :: surfalbedo
       real,save :: surfemis
Index: trunk/LMDZ.PLUTO/libf/phypluto/comm_wrf.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/comm_wrf.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/comm_wrf.F90	(revision 3572)
@@ -18,6 +18,4 @@
   REAL,SAVE,ALLOCATABLE :: comm_RICE(:,:)
   REAL,SAVE,ALLOCATABLE :: comm_GEOP(:,:)
-  REAL,SAVE,ALLOCATABLE :: comm_CLOUDFRAC(:,:)
-  REAL,SAVE,ALLOCATABLE :: comm_TOTCLOUDFRAC(:)
   REAL,SAVE,ALLOCATABLE :: comm_RH(:,:)
   REAL,SAVE,ALLOCATABLE :: comm_DQICE(:,:)
@@ -56,6 +54,4 @@
   allocate(comm_RICE(ngrid,nlayer))
   allocate(comm_GEOP(ngrid,nlayer))
-  allocate(comm_CLOUDFRAC(ngrid,nlayer))
-  allocate(comm_TOTCLOUDFRAC(ngrid))
   allocate(comm_RH(ngrid,nlayer))
   allocate(comm_DQICE(ngrid,nlayer))
@@ -92,6 +88,4 @@
   deallocate(comm_RICE)
   deallocate(comm_GEOP)
-  deallocate(comm_CLOUDFRAC)
-  deallocate(comm_TOTCLOUDFRAC)
   deallocate(comm_RH)
   deallocate(comm_DQICE)
Index: trunk/LMDZ.PLUTO/libf/phypluto/dyn1d/kcm1d.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/dyn1d/kcm1d.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/dyn1d/kcm1d.F90	(revision 3572)
@@ -75,6 +75,4 @@
 
   ! not used
-  real cloudfrac(1,llm)
-  real totcloudfrac(1)
   real tau_col(1)
 
@@ -104,8 +102,4 @@
 
   pi=2.E+0*asin(1.E+0)
-
-  cloudfrac(1,:)  = 0.0
-  totcloudfrac(1)  = 0.0
-
 
   nlayer=llm
@@ -385,6 +379,5 @@
           fluxabs_sw,fluxtop_dn,OLR_nu,OSR_nu,GSR_nu,     &
           int_dtaui,int_dtauv,                            &
-          tau_col,cloudfrac,totcloudfrac,                 &
-          .false.,firstcall,lastcall)
+          tau_col,firstcall,lastcall)
 
      !write(*,*) 'BASE 3'
@@ -396,5 +389,5 @@
      !     fluxsurfabs_sw,'T',fluxtop_lw,'U',                      &
      !     fluxabs_sw,'V',fluxtop_dn,'W',OLR_nu,'X',OSR_nu,'Y',tau_col,'Z',    &
-     !     cloudfrac,'A1',totcloudfrac,'A2',.false.,'A3',firstcall,'A4',lastcall
+     !     .false.,'A3',firstcall,'A4',lastcall
 
 
@@ -437,6 +430,5 @@
        fluxtop_lw, fluxabs_sw,fluxtop_dn,OLR_nu,OSR_nu,GSR_nu, &
        int_dtaui,int_dtauv,                                    &
-       tau_col,cloudfrac,totcloudfrac,                         &
-       .false.,firstcall,lastcall)
+       tau_col,firstcall,lastcall)
 
 
@@ -449,5 +441,5 @@
      !     fluxsurfabs_sw,'T',fluxtop_lw,'U',                      &
      !     fluxabs_sw,'V',fluxtop_dn,'W',OLR_nu,'X',OSR_nu,'Y',tau_col,'Z',    &
-     !     cloudfrac,'A1',totcloudfrac,'A2',.false.,'A3',firstcall,'A4',lastcall
+     !     .false.,'A3',firstcall,'A4',lastcall
 
 
Index: trunk/LMDZ.PLUTO/libf/phypluto/inifis_mod.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/inifis_mod.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/inifis_mod.F90	(revision 3572)
@@ -776,8 +776,8 @@
      if (is_master)write(*,*)trim(rname)//&
      "Radiatively active haze ?"
-     aerohaze=.false. ! default value
-     call getin_p("aerohaze",aerohaze)
-     if (is_master)write(*,*)trim(rname)//&
-     "aerohaze = ",aerohaze
+     optichaze=.false. ! default value
+     call getin_p("optichaze",optichaze)
+     if (is_master)write(*,*)trim(rname)//&
+     "optichaze = ",optichaze
 
      if (is_master)write(*,*)trim(rname)//&
@@ -1198,235 +1198,4 @@
 
 !=================================
-! TWOLAY scheme and NH3 cloudare left for retrocompatibility only,
-! You should now use N-LAYER scheme (see below).
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Radiatively active two-layer aerosols?"
-     aeroback2lay=.false.     ! default value
-     call getin_p("aeroback2lay",aeroback2lay)
-     if (is_master) write(*,*)trim(rname)//": aeroback2lay = ",aeroback2lay
-
-     if (aeroback2lay.and.is_master) then
-       print*,'Warning : The TWOLAY AEROSOL scheme is deprecated and buggy...'
-       print*,'You should use the generic n-layer scheme (see aeronlay).'
-     endif
-
-     if (is_master) write(*,*)trim(rname)//": Radiatively active ammonia cloud?"
-     aeronh3=.false.     ! default value
-     call getin_p("aeronh3",aeronh3)
-     if (is_master) write(*,*)trim(rname)//": aeronh3 = ",aeronh3
-
-     if (aeronh3.and.is_master) then
-       print*,'Warning : You are using specific NH3 cloud scheme ...'
-       print*,'You should use the generic n-layer scheme (see aeronlay).'
-     endif
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": TWOLAY AEROSOL: total optical depth "//&
-       "in the tropospheric layer (visible)"
-     obs_tau_col_tropo=8.D0
-     call getin_p("obs_tau_col_tropo",obs_tau_col_tropo)
-     if (is_master) write(*,*)trim(rname)//&
-       ": obs_tau_col_tropo = ",obs_tau_col_tropo
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": TWOLAY AEROSOL: total optical depth "//&
-       "in the stratospheric layer (visible)"
-     obs_tau_col_strato=0.08D0
-     call getin_p("obs_tau_col_strato",obs_tau_col_strato)
-     if (is_master) write(*,*)trim(rname)//&
-       ": obs_tau_col_strato = ",obs_tau_col_strato
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": TWOLAY AEROSOL: optprop_back2lay_vis?"
-     optprop_back2lay_vis = 'optprop_saturn_vis_n20.dat'
-     call getin_p("optprop_back2lay_vis",optprop_back2lay_vis)
-     if (is_master) write(*,*)trim(rname)//&
-       ": optprop_back2lay_vis = ",trim(optprop_back2lay_vis)
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": TWOLAY AEROSOL: optprop_back2lay_ir?"
-     optprop_back2lay_ir = 'optprop_saturn_ir_n20.dat'
-     call getin_p("optprop_back2lay_ir",optprop_back2lay_ir)
-     if (is_master) write(*,*)trim(rname)//&
-       ": optprop_back2lay_ir = ",trim(optprop_back2lay_ir)
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": TWOLAY AEROSOL: pres_bottom_tropo? in pa"
-     pres_bottom_tropo=66000.0
-     call getin_p("pres_bottom_tropo",pres_bottom_tropo)
-     if (is_master) write(*,*)trim(rname)//&
-       ": pres_bottom_tropo = ",pres_bottom_tropo
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": TWOLAY AEROSOL: pres_top_tropo? in pa"
-     pres_top_tropo=18000.0
-     call getin_p("pres_top_tropo",pres_top_tropo)
-     if (is_master) write(*,*)trim(rname)//&
-       ": pres_top_tropo = ",pres_top_tropo
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": TWOLAY AEROSOL: pres_bottom_strato? in pa"
-     pres_bottom_strato=2000.0
-     call getin_p("pres_bottom_strato",pres_bottom_strato)
-     if (is_master) write(*,*)trim(rname)//&
-       ": pres_bottom_strato = ",pres_bottom_strato
-
-     ! Sanity check
-     if (pres_bottom_strato .gt. pres_top_tropo) then
-       if(is_master) then
-       print*,'Error : TWOLAY AEROSOL, Please ensure that in callphys.def'
-       print*,'you have pres_top_tropo > pres_bottom_strato !'
-       endif
-       call abort_physic(rname," pres_top_tropo > pres_bottom_strato!",1)
-     endif
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": TWOLAY AEROSOL: pres_top_strato? in pa"
-     pres_top_strato=100.0
-     call getin_p("pres_top_strato",pres_top_strato)
-     if (is_master) write(*,*)trim(rname)//&
-       ": pres_top_strato = ",pres_top_strato
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": TWOLAY AEROSOL: particle size in the ", &
-       "tropospheric layer, in meters"
-     size_tropo=2.e-6
-     call getin_p("size_tropo",size_tropo)
-     if (is_master) write(*,*)trim(rname)//": size_tropo = ",size_tropo
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": TWOLAY AEROSOL: particle size in the ", &
-       "stratospheric layer, in meters"
-     size_strato=1.e-7
-     call getin_p("size_strato",size_strato)
-     if (is_master) write(*,*)trim(rname)//": size_strato = ",size_strato
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": NH3 (thin) cloud: total optical depth"
-     tau_nh3_cloud=7.D0
-     call getin_p("tau_nh3_cloud",tau_nh3_cloud)
-     if (is_master) write(*,*)trim(rname)//": tau_nh3_cloud = ",tau_nh3_cloud
-
-     if (is_master) write(*,*)trim(rname)//": NH3 (thin) cloud pressure level"
-     pres_nh3_cloud=7.D0
-     call getin_p("pres_nh3_cloud",pres_nh3_cloud)
-     if (is_master) write(*,*)trim(rname)//": pres_nh3_cloud = ",pres_nh3_cloud
-
-     if (is_master) write(*,*)trim(rname)//": NH3 (thin) cloud: particle sizes"
-     size_nh3_cloud=3.e-6
-     call getin_p("size_nh3_cloud",size_nh3_cloud)
-     if (is_master) write(*,*)trim(rname)//": size_nh3_cloud = ",size_nh3_cloud
-
-!=================================
-! Generic N-LAYER aerosol scheme
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Radiatively active generic n-layer aerosols?"
-     aeronlay=.false.     ! default value
-     call getin_p("aeronlay",aeronlay)
-     if (is_master) write(*,*)trim(rname)//": aeronlay = ",aeronlay
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Number of generic aerosols layers?"
-     nlayaero=1     ! default value
-     call getin_p("nlayaero",nlayaero)
-     ! Avoid to allocate arrays of size 0
-     if (aeronlay .and. nlayaero.lt.1) then
-       if (is_master) then
-       print*, " You are trying to set no generic aerosols..."
-       print*, " Set aeronlay=.false. instead ! I abort."
-       endif
-       call abort_physic(rname,"no generic aerosols...",1)
-     endif
-     if (.not. aeronlay) nlayaero=1
-     if (is_master) write(*,*)trim(rname)//": nlayaero = ",nlayaero
-
-     ! This is necessary, we just set the number of aerosol layers
-     IF(.NOT.ALLOCATED(aeronlay_tauref))      ALLOCATE(aeronlay_tauref(nlayaero))
-     IF(.NOT.ALLOCATED(aeronlay_lamref))      ALLOCATE(aeronlay_lamref(nlayaero))
-     IF(.NOT.ALLOCATED(aeronlay_choice))      ALLOCATE(aeronlay_choice(nlayaero))
-     IF(.NOT.ALLOCATED(aeronlay_pbot))        ALLOCATE(aeronlay_pbot(nlayaero))
-     IF(.NOT.ALLOCATED(aeronlay_ptop))        ALLOCATE(aeronlay_ptop(nlayaero))
-     IF(.NOT.ALLOCATED(aeronlay_sclhght))     ALLOCATE(aeronlay_sclhght(nlayaero))
-     IF(.NOT.ALLOCATED(aeronlay_size))        ALLOCATE(aeronlay_size(nlayaero))
-     IF(.NOT.ALLOCATED(aeronlay_nueff))       ALLOCATE(aeronlay_nueff(nlayaero))
-     IF(.NOT.ALLOCATED(optprop_aeronlay_ir))  ALLOCATE(optprop_aeronlay_ir(nlayaero))
-     IF(.NOT.ALLOCATED(optprop_aeronlay_vis)) ALLOCATE(optprop_aeronlay_vis(nlayaero))
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Generic n-layer aerosols: Optical depth at reference wavelenght"
-     aeronlay_tauref=1.0E-1
-     call getin_p("aeronlay_tauref",aeronlay_tauref)
-     if (is_master) write(*,*)trim(rname)//&
-       ": aeronlay_tauref = ",aeronlay_tauref
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Generic n-layer aerosols: Reference wavelenght for optical depths (m)"
-     aeronlay_lamref=0.6E-6
-     call getin_p("aeronlay_lamref",aeronlay_lamref)
-     if (is_master) write(*,*)trim(rname)//&
-       ": aeronlay_lamref = ",aeronlay_lamref
-
-     if (is_master) then
-       write(*,*)trim(rname)//&
-       ": Generic n-layer aerosols: Vertical profile choice : "
-       write(*,*)trim(rname)//&
-       "             (1) Tau btwn ptop and pbot follows atm. scale height"
-       write(*,*)trim(rname)//&
-       "         or  (2) Tau above pbot follows its own scale height"
-     endif
-     aeronlay_choice=1
-     call getin_p("aeronlay_choice",aeronlay_choice)
-     if (is_master) write(*,*)trim(rname)//&
-       ": aeronlay_choice = ",aeronlay_choice
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Generic n-layer aerosols: bottom pressures (Pa)"
-     aeronlay_pbot=2000.0
-     call getin_p("aeronlay_pbot",aeronlay_pbot)
-     if (is_master) write(*,*)trim(rname)//": aeronlay_pbot = ",aeronlay_pbot
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Generic n-layer aerosols: (if choice=1) Top pressures (Pa) "
-     aeronlay_ptop=300000.0
-     call getin_p("aeronlay_ptop",aeronlay_ptop)
-     if (is_master) write(*,*)trim(rname)//": aeronlay_ptop = ",aeronlay_ptop
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Generic n-layer aerosols: (if choice=2) Scale height / atm. scale height"
-     aeronlay_sclhght=0.2
-     call getin_p("aeronlay_sclhght",aeronlay_sclhght)
-     if (is_master) write(*,*)trim(rname)//&
-       ": aeronlay_sclhght = ",aeronlay_sclhght
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Generic n-layer aerosols: particles effective radii (m)"
-     aeronlay_size=1.e-6
-     call getin_p("aeronlay_size",aeronlay_size)
-     if (is_master) write(*,*)trim(rname)//": aeronlay_size = ",aeronlay_size
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Generic n-layer aerosols: particles radii effective variance"
-     aeronlay_nueff=0.1
-     call getin_p("aeronlay_nueff",aeronlay_nueff)
-     if (is_master) write(*,*)trim(rname)//": aeronlay_nueff = ",aeronlay_nueff
-
-     if (is_master) write(*,*)trim(rname)//&
-       ": Generic n-layer aerosols: VIS optical properties file"
-     optprop_aeronlay_vis = 'optprop_saturn_vis_n20.dat'
-     call getin_p("optprop_aeronlay_vis",optprop_aeronlay_vis)
-     if (is_master) write(*,*)trim(rname)//&
-       ": optprop_aeronlay_vis = ",optprop_aeronlay_vis
-
-     if (is_master) write(*,*)trim(rname)//&
-     ": Generic n-layer aerosols: IR optical properties file"
-     optprop_aeronlay_ir = 'optprop_saturn_ir_n20.dat'
-     call getin_p("optprop_aeronlay_ir",optprop_aeronlay_ir)
-     if (is_master) write(*,*)trim(rname)//&
-       ": optprop_aeronlay_ir = ",optprop_aeronlay_ir
-
-
-!=================================
 
      if (is_master) write(*,*)trim(rname)//&
@@ -1460,9 +1229,4 @@
      call getin_p("sedimentation",sedimentation)
      if (is_master) write(*,*)trim(rname)//": sedimentation = ",sedimentation
-
-     if (is_master) write(*,*)trim(rname)//": Generic Condensation of tracers ?"
-     generic_condensation=.false. !default value
-     call getin_p("generic_condensation",generic_condensation)
-     if (is_master) write(*,*)trim(rname)//": generic_condensation = ",generic_condensation
 
      if (is_master) write(*,*)trim(rname)//": Spectral Dependant albedo ?"
@@ -1533,6 +1297,6 @@
          call abort_physic(rname, 'if paleo is set, fast must be true', 1)
      endif
-     if ((haze_proffix.or.haze_radproffix).and..not.aerohaze) then
-         call abort_physic(rname, 'for now, haze/rad proffix only works w aerohaze=T', 1)
+     if ((haze_proffix.or.haze_radproffix).and..not.optichaze) then
+         call abort_physic(rname, 'for now, haze/rad_proffix only works with optichaze=T', 1)
      endif
       if (carbox.and.condcosurf.and.no_n2frost) then
Index: trunk/LMDZ.PLUTO/libf/phypluto/initracer.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/initracer.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/initracer.F90	(revision 3572)
@@ -3,8 +3,7 @@
       use surfdat_h, ONLY: dryness
       USE tracer_h
-      USE callkeys_mod, only: aerohaze,nb_monomer,haze,fractal,fasthaze,rad_haze,callmufi
+      USE callkeys_mod, only: optichaze,nb_monomer,haze,fractal,fasthaze,rad_haze,callmufi
       USE recombin_corrk_mod, ONLY: ini_recombin
       USE mod_phys_lmdz_para, only: is_master, bcast
-      use generic_cloud_common_h
       use aerosol_mod, only: iaero_haze,i_haze
       IMPLICIT NONE
@@ -130,7 +129,5 @@
        IF (.NOT. allocated(constants_Tref)) allocate(constants_Tref(nq))
        IF (.NOT. allocated(constants_Pref)) allocate(constants_Pref(nq))
-       IF (.NOT. allocated(constants_epsi_generic)) allocate(constants_epsi_generic(nq))
        IF (.NOT. allocated(constants_RLVTT_generic)) allocate(constants_RLVTT_generic(nq))
-       IF (.NOT. allocated(constants_metallicity_coeff)) allocate(constants_metallicity_coeff(nq))
        IF (.NOT. allocated(constants_RCPV_generic)) allocate(constants_RCPV_generic(nq))
 
@@ -160,7 +157,5 @@
        constants_Tref(:)=0
        constants_Pref(:)=0
-       constants_epsi_generic(:)=0
        constants_RLVTT_generic(:)=0
-       constants_metallicity_coeff(:)=0
        constants_RCPV_generic(:)=0
 
@@ -418,7 +413,5 @@
                 ! constants_Tref(iq)=Tref
                 ! constants_Pref(iq)=Pref
-                ! constants_epsi_generic(iq)=epsi_generic
                 ! constants_RLVTT_generic(iq)=RLVTT_generic
-                ! constants_metallicity_coeff(iq)=metallicity_coeff
                 ! constants_RCPV_generic(iq)=RCPV_generic
         else
@@ -477,24 +470,24 @@
 
         ia=0
-        if (aerohaze) then
-           ia=ia+1
-           iaero_haze=ia
-           write(*,*) '--- number of haze aerosol = ', iaero_haze
-
-           block=0  ! Only one type of haze is active : the first one set in traceur.def
-           do iq=1,nq
-             tracername=noms(iq)
-             write(*,*) "--> tracername ",iq,'/',nq,' = ',tracername
-             if (tracername(1:4).eq."haze".and.block.eq.0) then
-               i_haze=iq
-               block=1
-               write(*,*) "i_haze=",i_haze
-               write(*,*) "Careful: if you set many haze traceurs in &
+        if (optichaze) then
+          ia=ia+1
+          iaero_haze=ia
+          write(*,*) '--- number of haze aerosol = ', iaero_haze
+
+          block=0  ! Only one type of haze is active : the first one set in traceur.def
+          do iq=1,nq
+            tracername=noms(iq)
+            write(*,*) "--> tracername ",iq,'/',nq,' = ',tracername
+            if (tracername(1:4).eq."haze".and.block.eq.0) then
+              i_haze=iq
+              block=1
+              write(*,*) "i_haze=",i_haze
+              write(*,*) "Careful: if you set many haze traceurs in &
                 traceur.def,only ",tracername," will be radiatively active &
                 (first one in traceur.def)"
-             endif
-           enddo
-        endif ! end aerohaze
-      endif ! end haze
+            endif
+          enddo
+        endif ! end optichaze
+      endif ! end callmufi or haze
 
 !     Output for records:
Index: trunk/LMDZ.PLUTO/libf/phypluto/phyetat0_mod.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/phyetat0_mod.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/phyetat0_mod.F90	(revision 3572)
@@ -14,5 +14,5 @@
                      day_ini,time,tsurf,tsoil, &
                      emis,q2,qsurf,therm_inertia)
-                    !  ,cloudfrac,totcloudfrac,hice, &
+                    !  ,hice, &
                     !  rnat,pctsrf_sic)
                     !  ,tslab,tsea_ice,sea_ice) !AF24
Index: trunk/LMDZ.PLUTO/libf/phypluto/phys_state_var_mod.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/phys_state_var_mod.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/phys_state_var_mod.F90	(revision 3572)
@@ -75,9 +75,4 @@
       real,allocatable,dimension(:),save :: tau_col ! Total Aerosol Optical Depth.
 !$OMP THREADPRIVATE(tau_col)
-
-      real,allocatable,dimension(:,:),save :: cloudfrac  ! Fraction of clouds (%).
-      real,allocatable,dimension(:),save :: totcloudfrac ! Column fraction of clouds (%).
-!$OMP THREADPRIVATE(cloudfrac,totcloudfrac)
-
 
       real,allocatable,dimension(:,:,:),save :: nueffrad ! Aerosol effective radius variance. By RW
@@ -139,6 +134,4 @@
         ALLOCATE(ztprevious(klon,klev))
         ALLOCATE(zuprevious(klon,klev))
-        ALLOCATE(cloudfrac(klon,klev))
-        ALLOCATE(totcloudfrac(klon))
         ALLOCATE(reffrad(klon,klev,naerkind))
         ALLOCATE(nueffrad(klon,klev,naerkind))
@@ -216,6 +209,4 @@
         DEALLOCATE(ztprevious)
         DEALLOCATE(zuprevious)
-        DEALLOCATE(cloudfrac)
-        DEALLOCATE(totcloudfrac)
         DEALLOCATE(reffrad)
         DEALLOCATE(nueffrad)
Index: trunk/LMDZ.PLUTO/libf/phypluto/physiq_mod.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/physiq_mod.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/physiq_mod.F90	(revision 3572)
@@ -18,10 +18,9 @@
       use ioipsl_getin_p_mod, only: getin_p
       use radinc_h, only : L_NSPECTI,L_NSPECTV,naerkind, corrkdir, banddir
-      use generic_cloud_common_h, only : epsi_generic, Psat_generic
       use gases_h, only: gnom, gfrac
       use radcommon_h, only: sigma, glat, grav, BWNV, WNOI, DWNI, DWNV, WNOV
       use suaer_corrk_mod, only: suaer_corrk
       use radii_mod, only: su_aer_radii,haze_reffrad_fix
-      use aerosol_mod, only: iaero_haze, i_haze, haze_prof
+      use aerosol_mod, only: i_haze, haze_prof
       use surfdat_h, only: phisfi, zmea, zstd, zsig, zgam, zthe, &
                            dryness
@@ -36,5 +35,5 @@
                           igcm_co_gas,igcm_co_ice,igcm_prec_haze,lw_n2,lw_ch4,lw_co,&
                           alpha_lift, alpha_devil, qextrhor, &
-                          nesp, is_chim, is_condensable,constants_epsi_generic
+                          nesp, is_chim, is_condensable
       use time_phylmdz_mod, only: ecritphy, iphysiq, nday
       use phyetat0_mod, only: phyetat0,tab_cntrl_mod
@@ -50,5 +49,5 @@
                               callrad, callsoil, nosurf,                      &
                               callconduct,callmolvis,callmoldiff,             &
-                              aerohaze, corrk, diagdtau,                      &
+                              corrk, diagdtau,                                &
                               diurnal, enertest, fat1au,                      &
                               icetstep, intheat, iradia, kastprof,            &
@@ -59,7 +58,7 @@
                               carbox, methane,condmetsurf,condcosurf,         &
                               oldplutovdifc,oldplutocorrk,oldplutosedim,      &
-                              aerohaze,haze_proffix,haze_radproffix,          &
+                              optichaze,haze_proffix,haze_radproffix,         &
                               source_haze, tsurfmax, albmin_ch4,              &
-                              season, sedimentation,generic_condensation,     &
+                              season, sedimentation,                          &
                               specOLR,                                        &
                               startphy_file, testradtimes,                    &
@@ -67,5 +66,4 @@
                               global1d, szangle,                              &
                               callmufi
-      use generic_tracer_index_mod, only: generic_tracer_index
       use check_fields_mod, only: check_physics_fields
       use conc_mod, only: rnew, cpnew, ini_conc_mod
@@ -78,5 +76,4 @@
       use turb_mod, only : q2,sensibFlux,turb_resolved
       use mass_redistribution_mod, only: mass_redistribution
-      use condensation_generic_mod, only: condensation_generic
       use datafile_mod, only: datadir
       USE vertical_layers_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt
@@ -295,6 +292,5 @@
       real omega(ngrid,nlayer)            ! omega velocity (Pa/s, >0 when downward)
 
-      integer i,l,ig,ierr,iq,nw,isoil,iesp, igcm_generic_gas, igcm_generic_ice
-      logical call_ice_gas_generic ! to call only one time the ice/vap pair of a tracer
+      integer i,l,ig,ierr,iq,nw,isoil,iesp
 
       real zls                       ! Solar longitude (radians).
@@ -316,5 +312,4 @@
       ! For Atmospheric Temperatures : (K/s)
       real dtlscale(ngrid,nlayer)                             ! Largescale routine.
-      real dt_generic_condensation(ngrid,nlayer)              ! condensation_generic routine.
       real zdtc(ngrid,nlayer)                                 ! Condense_n2 routine.
       real zdtdif(ngrid,nlayer)                               ! Turbdiff/vdifc routines.
@@ -338,6 +333,4 @@
       real zdqsed(ngrid,nlayer,nq)    ! Callsedim routine.
       real zdqmr(ngrid,nlayer,nq)     ! Mass_redistribution routine.
-      real dqvaplscale_generic(ngrid,nlayer,nq) ! condensation_generic routine.
-      real dqcldlscale_generic(ngrid,nlayer,nq) ! condensation_generic routine.
       REAL,allocatable,save :: zdqchim(:,:,:) ! Calchim_asis routine
       REAL,allocatable,save :: zdqschim(:,:)  ! Calchim_asis routine
@@ -466,14 +459,4 @@
       real dItot, dItot_tmp, dVtot, dVtot_tmp
       real dWtot, dWtot_tmp, dWtots, dWtots_tmp
-      real psat_tmp ! AF24: to remove?
-
-      real qsat_generic(ngrid,nlayer,nq) ! generic condensable tracers (GCS) specific concentration at saturation (kg/kg_of_air).
-      real RH_generic(ngrid,nlayer,nq)   ! generic condensable tracers (GCS) Relative humidity.
-      real rneb_generic(ngrid,nlayer,nq) ! GCS cloud fraction (generic condensation).
-      real psat_tmp_generic
-      real, save :: metallicity ! metallicity of planet --- is not used here, but necessary to call function Psat_generic
-!$OMP THREADPRIVATE(metallicity)
-
-      real reffrad_generic_zeros_for_wrf(ngrid,nlayer) !  !!! this is temporary, it is only a list of zeros, it will be replaced when a generic aerosol will be implemented
 
       real nconsMAX, vdifcncons(ngrid), cadjncons(ngrid) ! Vdfic water conservation test. By RW
@@ -650,9 +633,4 @@
          endif
 
-!        Set metallicity for GCS
-!        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-         metallicity=0.0 ! default value --- is not used here but necessary to call function Psat_generic
-         call getin_p("metallicity",metallicity) ! --- is not used here but necessary to call function Psat_generic
-
          if (ngrid.ne.1) then ! Note : no need to create a restart file in 1d.
             call physdem0("restartfi.nc",longitude,latitude,nsoilmx,ngrid,nlayer,nq, &
@@ -677,5 +655,5 @@
             call setspv ! Basic visible properties.
             call sugas_corrk       ! Set up gaseous absorption properties.
-            if (aerohaze) then
+            if (optichaze) then
                call suaer_corrk       ! Set up aerosol optical properties.
             endif
@@ -754,5 +732,5 @@
 
 !     Get Lyman alpha flux at specific Ls
-      if (haze) then
+      if (callmufi.or.haze) then
          call lymalpha(zls,zfluxuv)
          print*, 'Haze lyman-alpha zls,zfluxuv=',zls,zfluxuv
@@ -1040,27 +1018,4 @@
                   call abort
                endif
-               ! if(water) then !AF24: removed
-
-               if(generic_condensation) then
-                  do iq=1,nq
-
-                     call generic_tracer_index(nq,iq,igcm_generic_gas,igcm_generic_ice,call_ice_gas_generic)
-
-                     if (call_ice_gas_generic) then ! to call only one time the ice/vap pair of a tracer
-
-                        epsi_generic=constants_epsi_generic(iq)
-
-                        muvar(1:ngrid,1:nlayer)=mugaz/(1.e0+(1.e0/epsi_generic-1.e0)*pq(1:ngrid,1:nlayer,igcm_generic_gas))
-                        muvar(1:ngrid,nlayer+1)=mugaz/(1.e0+(1.e0/epsi_generic-1.e0)*pq(1:ngrid,nlayer,igcm_generic_gas))
-
-                     endif
-                  end do ! do iq=1,nq loop on tracers
-               ! take into account generic condensable specie (GCS) effect on mean molecular weight
-
-               else
-                  muvar(1:ngrid,1:nlayer+1)=mugaz
-               endif
-
-               ! if(ok_slab_ocean) then !AF24: removed
 
                ! standard callcorrk
@@ -1071,5 +1026,4 @@
                                zdtlw,zdtsw,fluxsurf_lw,fluxsurf_sw,fluxtop_lw,   &
                                fluxabs_sw,fluxtop_dn,reffrad,tau_col,ptime,pday, &
-                               cloudfrac,totcloudfrac,.false.,                   &
                                firstcall,lastcall)
                   albedo_equivalent(1:ngrid)=albedo(1:ngrid,1)
@@ -1077,4 +1031,5 @@
                                fluxsurf_sw(1:ngrid)*(1.-albedo(1:ngrid,1))
                else
+                muvar(1:ngrid,1:nlayer+1)=mugaz
                 call callcorrk(ngrid,nlayer,pq,nq,qsurf,  &
                               albedo,albedo_equivalent,emis,mu0,pplev,pplay,pt,   &
@@ -1084,6 +1039,5 @@
                               fluxabs_sw,fluxtop_dn,OLR_nu,OSR_nu,GSR_nu,         &
                               int_dtaui,int_dtauv,                                &
-                              tau_col,cloudfrac,totcloudfrac,                     &
-                              .false.,firstcall,lastcall)
+                              tau_col,firstcall,lastcall)
                   ! Radiative flux from the sky absorbed by the surface (W.m-2).
                   GSR=0.0
@@ -1227,5 +1181,5 @@
                           taux,tauy)
 
-         else ! if (oldplutovdifc) .and. (UseTurbDiff)
+         else ! if .not. (oldplutovdifc) .and. (UseTurbDiff)
 
             zdh(1:ngrid,1:nlayer)=pdt(1:ngrid,1:nlayer)/zpopsk(1:ngrid,1:nlayer)
@@ -1548,17 +1502,16 @@
          !   VI.1. Microphysics / Aerosol particles
          ! ----------------------------------------
-         ! Production for microphysics
-         IF (callmufi .and. call_haze_prod_pCH4) THEN
-            zdqphot_prec(:,:)   = 0.
-            zdqphot_ch4(:,:)    = 0.
-            pdqmufi_prod(:,:,:) = 0.
-
-            call hazecloud(ngrid,nlayer,nq,ptimestep,                             &
-                           pplay,pplev,pq,pdq,dist_star,mu0,zfluxuv,pdqmufi_prod, &
-                           zdqphot_prec,zdqphot_ch4,zdqconv_prec,declin)
-         ENDIF ! end callmufi .and. .and.call_haze_prod_pCH4
-
          ! Call of microphysics
          IF (callmufi) THEN
+
+            ! Production for microphysics
+            IF (call_haze_prod_pCH4) THEN
+               zdqphot_prec(:,:)   = 0.
+               zdqphot_ch4(:,:)    = 0.
+               pdqmufi_prod(:,:,:) = 0.
+               call hazecloud(ngrid,nlayer,nq,ptimestep,                             &
+                              pplay,pplev,pq,pdq,dist_star,mu0,zfluxuv,pdqmufi_prod, &
+                              zdqphot_prec,zdqphot_ch4,zdqconv_prec,declin)
+            ENDIF ! end call_haze_prod_pCH4
 
             pdqmufi(:,:,:) = 0.
@@ -1567,99 +1520,58 @@
    
             pdq(:,:,:) = pdq(:,:,:) + pdqmufi(:,:,:)
+         
+         ELSE
+            IF (haze) THEN
+               zdqphot_prec(:,:) = 0.
+               zdqphot_ch4(:,:)  = 0.
+               zdqhaze(:,:,:)    = 0.
+               ! Forcing to a fixed haze profile if haze_proffix
+               if (haze_proffix.and.i_haze.gt.0.) then
+                  call haze_prof(ngrid,nlayer,zzlay,pplay,pt,  &
+                                 reffrad,profmmr)
+                  zdqhaze(:,:,i_haze)=(profmmr(:,:)-pq(:,:,igcm_haze))/ptimestep
+               else
+                  call hazecloud(ngrid,nlayer,nq,ptimestep,            &
+                     pplay,pplev,pq,pdq,dist_star,mu0,zfluxuv,zdqhaze, &
+                     zdqphot_prec,zdqphot_ch4,zdqconv_prec,declin)
+               endif
+               pdq(:,:,:) = pdq(:,:,:) + zdqhaze(:,:,:) ! Should be updated
+            ENDIF ! end haze
+
+            IF (fast.and.fasthaze) THEN
+               call prodhaze(ngrid,nlayer,nq,ptimestep,pplev,pq,pdq,dist_star, &
+                        mu0,declin,zdqprodhaze,zdqsprodhaze,gradflux,fluxbot,   &
+                        fluxlym_sol_bot,fluxlym_ipm_bot,flym_sol,flym_ipm)
+               DO ig=1,ngrid
+                  pdq(ig,1,igcm_ch4_gas)=pdq(ig,1,igcm_ch4_gas)+  &
+                                                zdqprodhaze(ig,igcm_ch4_gas)
+                  pdq(ig,1,igcm_prec_haze)=pdq(ig,1,igcm_prec_haze)+ &
+                                             zdqprodhaze(ig,igcm_prec_haze)
+                  pdq(ig,1,igcm_haze)=abs(pdq(ig,1,igcm_haze)+ &
+                                             zdqprodhaze(ig,igcm_haze))
+                  qsurf(ig,igcm_haze)= qsurf(ig,igcm_haze)+ &
+                                                zdqsprodhaze(ig)*ptimestep
+               ENDDO
+            ENDIF ! end fast.and.fasthaze
+
+            ! Sedimentation.
+            if (sedimentation) then
+               zdqsed(1:ngrid,1:nlayer,1:nq) = 0.0
+               zdqssed(1:ngrid,1:nq)  = 0.0
+               if (oldplutosedim)then
+                  call callsedim_pluto(ngrid,nlayer,ptimestep,    &
+                           pplev,zzlev,pt,pdt,rice_ch4,rice_co, &
+                           pq,pdq,zdqsed,zdqssed,nq,pphi)
+               else
+                  call callsedim(ngrid,nlayer,ptimestep,       &
+                           pplev,zzlev,pt,pdt,pq,pdq,        &
+                           zdqsed,zdqssed,nq,pphi)
+               endif
+               ! Whether it falls as rain or snow depends only on the surface temperature
+               pdq(1:ngrid,1:nlayer,1:nq) = pdq(1:ngrid,1:nlayer,1:nq) + zdqsed(1:ngrid,1:nlayer,1:nq)
+               dqsurf(1:ngrid,1:nq) = dqsurf(1:ngrid,1:nq) + zdqssed(1:ngrid,1:nq)
+            end if ! end of 'sedimentation'
+
          ENDIF ! end callmufi
-
-         IF (haze) THEN
-            zdqphot_prec(:,:) = 0.
-            zdqphot_ch4(:,:)  = 0.
-            zdqhaze(:,:,:)    = 0.
-            
-            ! Forcing to a fixed haze profile if haze_proffix
-            if (haze_proffix.and.i_haze.gt.0.) then
-               call haze_prof(ngrid,nlayer,zzlay,pplay,pt,  &
-                              reffrad,profmmr)
-               zdqhaze(:,:,i_haze)=(profmmr(:,:)-pq(:,:,igcm_haze))/ptimestep
-            else
-               call hazecloud(ngrid,nlayer,nq,ptimestep,            &
-                  pplay,pplev,pq,pdq,dist_star,mu0,zfluxuv,zdqhaze, &
-                  zdqphot_prec,zdqphot_ch4,zdqconv_prec,declin)
-            endif
-
-            pdq(:,:,:) = pdq(:,:,:) + zdqhaze(:,:,:) ! Should be updated
-         ENDIF ! end haze
-
-         IF (fast.and.fasthaze) THEN
-            call prodhaze(ngrid,nlayer,nq,ptimestep,pplev,pq,pdq,dist_star, &
-                     mu0,declin,zdqprodhaze,zdqsprodhaze,gradflux,fluxbot,   &
-                     fluxlym_sol_bot,fluxlym_ipm_bot,flym_sol,flym_ipm)
-
-            DO ig=1,ngrid
-               pdq(ig,1,igcm_ch4_gas)=pdq(ig,1,igcm_ch4_gas)+  &
-                                             zdqprodhaze(ig,igcm_ch4_gas)
-               pdq(ig,1,igcm_prec_haze)=pdq(ig,1,igcm_prec_haze)+ &
-                                          zdqprodhaze(ig,igcm_prec_haze)
-               pdq(ig,1,igcm_haze)=abs(pdq(ig,1,igcm_haze)+ &
-                                          zdqprodhaze(ig,igcm_haze))
-               qsurf(ig,igcm_haze)= qsurf(ig,igcm_haze)+ &
-                                             zdqsprodhaze(ig)*ptimestep
-            ENDDO
-         ENDIF ! end fast.and.fasthaze
-
-         ! Generic Condensation
-         if (generic_condensation) then
-            call condensation_generic(ngrid,nlayer,nq,ptimestep,pplev,pplay,   &
-                                          pt,pq,pdt,pdq,dt_generic_condensation, &
-                                          dqvaplscale_generic,dqcldlscale_generic,rneb_generic)
-            pdt(1:ngrid,1:nlayer) = pdt(1:ngrid,1:nlayer)+dt_generic_condensation(1:ngrid,1:nlayer)
-            pdq(1:ngrid,1:nlayer,1:nq) = pdq(1:ngrid,1:nlayer,1:nq)+dqvaplscale_generic(1:ngrid,1:nlayer,1:nq)
-            pdq(1:ngrid,1:nlayer,1:nq) = pdq(1:ngrid,1:nlayer,1:nq)+dqcldlscale_generic(1:ngrid,1:nlayer,1:nq)
-
-            if(enertest)then
-               do ig=1,ngrid
-                  genericconddE(ig) = cpp*SUM(mass(:,:)*dt_generic_condensation(:,:))
-               enddo
-
-               call planetwide_sumval(cpp*massarea(:,:)*dt_generic_condensation(:,:)/totarea_planet,dEtot)
-
-               if (is_master) print*,'In generic condensation atmospheric energy change =',dEtot,' W m-2'
-            end if
-
-               ! Let's loop on tracers
-               cloudfrac(:,:)=0.0
-               do iq=1,nq
-                  call generic_tracer_index(nq,iq,igcm_generic_gas,igcm_generic_ice,call_ice_gas_generic)
-                  if (call_ice_gas_generic) then ! to call only one time the ice/vap pair of a tracer
-                     do l = 1, nlayer
-                        do ig=1,ngrid
-                           cloudfrac(ig,l)=rneb_generic(ig,l,iq)
-                        enddo
-                     enddo
-                  endif
-            end do ! do iq=1,nq loop on tracers
-            ! endif ! .not. water
-
-         endif !generic_condensation
-
-         ! Sedimentation.
-         if (sedimentation) then
-
-            zdqsed(1:ngrid,1:nlayer,1:nq) = 0.0
-            zdqssed(1:ngrid,1:nq)  = 0.0
-
-            if (oldplutosedim)then
-               call callsedim_pluto(ngrid,nlayer,ptimestep,    &
-                          pplev,zzlev,pt,pdt,rice_ch4,rice_co, &
-                          pq,pdq,zdqsed,zdqssed,nq,pphi)
-
-            else
-               call callsedim(ngrid,nlayer,ptimestep,       &
-                          pplev,zzlev,pt,pdt,pq,pdq,        &
-                          zdqsed,zdqssed,nq,pphi)
-            endif
-
-            ! Whether it falls as rain or snow depends only on the surface temperature
-            pdq(1:ngrid,1:nlayer,1:nq) = pdq(1:ngrid,1:nlayer,1:nq) + zdqsed(1:ngrid,1:nlayer,1:nq)
-            dqsurf(1:ngrid,1:nq) = dqsurf(1:ngrid,1:nq) + zdqssed(1:ngrid,1:nq)
-
-         end if ! end of 'sedimentation'
 
   ! ---------------
@@ -1999,29 +1911,4 @@
       endif ! end of 'tracer'
 
-
-
-      ! Calculate RH_generic (Generic Relative Humidity) for diagnostic.
-      if(generic_condensation)then
-         RH_generic(:,:,:)=0.0
-         do iq=1,nq
-
-            call generic_tracer_index(nq,iq,igcm_generic_gas,igcm_generic_ice,call_ice_gas_generic)
-
-            if (call_ice_gas_generic) then ! to call only one time the ice/vap pair of a tracer
-
-               do l = 1, nlayer
-                  do ig=1,ngrid
-                     call Psat_generic(zt(ig,l),pplay(ig,l),metallicity,psat_tmp_generic,qsat_generic(ig,l,iq))
-                     RH_generic(ig,l,iq) = zq(ig,l,igcm_generic_gas) / qsat_generic(ig,l,iq)
-                  enddo
-               enddo
-
-            end if
-
-         end do ! iq=1,nq
-
-      endif ! end of 'generic_condensation'
-
-
       if (methane) then
          IF (fast) then ! zq is the mixing ratio supposingly mixed in all atmosphere
@@ -2064,5 +1951,5 @@
       zrho_haze(:,:)=0.
       zdqrho_photprec(:,:)=0.
-      IF (haze.and.aerohaze) then
+      IF (haze.and.optichaze) then
          DO ig=1,ngrid
             DO l=1,nlayer
@@ -2312,10 +2199,4 @@
             call write_output("dEzradlw","radiative heating","w.m^-2",dEzradlw)
          endif
-
-         if (generic_condensation) then
-            call write_output("genericconddE","heat from generic condensation","W m-2",genericconddE)
-            call write_output("dt_generic_condensation","heating from generic condensation","K s-1",dt_generic_condensation)
-         endif
-
       endif ! end of 'enertest'
 
@@ -2448,5 +2329,5 @@
             endif
 
-           if (aerohaze) then
+           if (optichaze) then
               call write_output("tau_col",&
                  "Total aerosol optical depth","opacity",tau_col)
Index: trunk/LMDZ.PLUTO/libf/phypluto/radii_mod.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/radii_mod.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/radii_mod.F90	(revision 3572)
@@ -29,8 +29,5 @@
       use radinc_h, only: naerkind
       use datafile_mod, only: hazerad_file
-      use aerosol_mod, only: iaero_haze, i_haze, &
-                              iaero_generic, i_rgcs_ice
-      use callkeys_mod, only: nlayaero, aeronlay_size, &
-                              aeronlay_nueff,aerogeneric
+      use aerosol_mod, only: iaero_haze, i_haze
       use tracer_h, only: radius, nqtot, is_rgcs, nmono
       Implicit none
Index: trunk/LMDZ.PLUTO/libf/phypluto/suaer_corrk.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/suaer_corrk.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/suaer_corrk.F90	(revision 3572)
@@ -16,8 +16,6 @@
       use radcommon_h, only: radiustab,nsize,tstellar
       use radcommon_h, only: qrefvis,qrefir,omegarefir !,omegarefvis
-      use aerosol_mod, only: noaero,iaero_haze
-      use callkeys_mod, only: tplanet, optprop_back2lay_vis, optprop_back2lay_ir, &
-                              optprop_aeronlay_vis, optprop_aeronlay_ir,          &
-                              aeronlay_lamref, nlayaero,aerogeneric
+      use aerosol_mod, only: iaero_haze
+      use callkeys_mod, only: tplanet
       use tracer_h, only: noms
 
@@ -130,10 +128,4 @@
       ! allocate file_id, as naerkind is a variable
       allocate(file_id(naerkind,2))
-
-      ! if (noaero) then
-      !   print*, 'naerkind= 0'
-      !   naerkind=0
-      ! endif
-
 
       do iaer=1,naerkind
Index: trunk/LMDZ.PLUTO/libf/phypluto/tracer_h.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/tracer_h.F90	(revision 3564)
+++ trunk/LMDZ.PLUTO/libf/phypluto/tracer_h.F90	(revision 3572)
@@ -62,11 +62,9 @@
        real, save, allocatable :: constants_Tref(:)                 ! Ref temperature for Clausis-Clapeyron (K)
        real, save, allocatable :: constants_Pref(:)                 ! Reference pressure for Clausius Clapeyron (Pa)
-       real, save, allocatable :: constants_epsi_generic(:)         ! fractionnal molecular mass (m/mugaz)
        real, save, allocatable :: constants_RLVTT_generic(:)        ! Latent heat of vaporization (J/kg)
-       real, save, allocatable :: constants_metallicity_coeff(:)    ! Coefficient to take into account the metallicity
        real, save, allocatable :: constants_RCPV_generic(:)         ! specific heat capacity of the tracer vapor at Tref
 !$OMP THREADPRIVATE(constants_mass,constants_delta_gasH,constants_Tref)
-!$OMP THREADPRIVATE(constants_Pref,constants_epsi_generic)
-!$OMP THREADPRIVATE(constants_RLVTT_generic,constants_metallicity_coeff,constants_RCPV_generic)
+!$OMP THREADPRIVATE(constants_Pref)
+!$OMP THREADPRIVATE(constants_RLVTT_generic,constants_RCPV_generic)
 
 ! tracer indexes: these are initialized in initracer and should be 0 if the
